# SPDX-FileCopyrightText: 2025 Lubin Bailly <lubin.bailly@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  dgn-hardware.model = "EX2300-48P";
  dgn-isp = {
    enable = true;
    AP = [
      "ge-0/0/0"
      "ge-0/0/1"
      "ge-0/0/2"
      "ge-0/0/3"
      "ge-0/0/4"
      "ge-0/0/5"
    ];
    admin-ip = "fd26:baf9:d250:8000::2001/64";
  };
  dgn-interfaces = {
    # netcore02
    "xe-0/1/0".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "all" ];
    };

    # debug management
    "me0".inet.addresses = [ "192.168.42.6/24" ];
  };
}
