# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  imports = [
    ./kadenios.nix
  ];

  services.django-apps = {
    enable = true;

    webhook = {
      domain = "web02.dj-hooks.dgnum.eu";

      nginx = {
        enableACME = true;
        forceSSL = true;
      };
    };
  };
}
