# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

# INFO: This file serves to publicize who are the administrators of
# certain services

{
  organization = {
    external = {
      dns = [
        "thubrecht"
        "raito"
      ];

      email = [ "raito" ];

      irc = [ "raito" ];
    };

    services = {
      # DG·SI
      dgsi.admins = [
        "mdebray"
        "raito"
        "thubrecht"
      ];

      # Démarches Normaliennes
      ds-fr.admins = [
        "thubrecht"
        "jemagius"
      ];

      # Forge git
      forgejo.admins = [
        "ecoppens"
        "mdebray"
        "raito"
        "thubrecht"
      ];

      # SSO and IdM
      kanidm.admins = [
        "mdebray"
        "raito"
        "thubrecht"
      ];

      # Netbox DGNum
      netbox.adminGroups = [
        "root"
        "fai"
      ];

      # Cloud DGNum
      nextcloud.admins = [
        "jemagius"
        "mdebray"
        "raito"
        "thubrecht"
      ];

      # Videos DGNum
      peertube.admins = [ "thubrecht" ];
    };
  };
}
